com.tibbo.aggregate.common.context

## Class VariableData

- java.lang.Object
- - com.tibbo.aggregate.common.context.VariableData

- All Implemented Interfaces:
    java.lang.Comparable<VariableData>

      public class VariableData
      extends java.lang.Object
      implements java.lang.Comparable<VariableData>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableData(VariableDefinition definition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VariableData d)`
    `VariableDefinition` | `getDefinition()`
    `long` | `getGetCount()`
    `java.lang.reflect.Method` | `getGetterMethod()`
    `java.util.concurrent.locks.ReentrantReadWriteLock` | `getReadWriteLock()`
    `long` | `getSetCount()`
    `java.lang.reflect.Method` | `getSetterMethod()`
    `boolean` | `isGetterCached()`
    `boolean` | `isSetterCached()`
    `void` | `registerGetOperation()`
    `void` | `registerSetOperation()`
    `void` | `setDefinition(VariableDefinition definition)`
    `void` | `setGetterCached(boolean getterCached)`
    `void` | `setGetterMethod(java.lang.reflect.Method getter)`
    `void` | `setSetterCached(boolean setterCached)`
    `void` | `setSetterMethod(java.lang.reflect.Method setter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableData

          public VariableData(VariableDefinition definition)

  - ### Method Detail

    - #### registerGetOperation

          public void registerGetOperation()

    - #### registerSetOperation

          public void registerSetOperation()

    - #### getDefinition

          public VariableDefinition getDefinition()

    - #### getReadWriteLock

          public java.util.concurrent.locks.ReentrantReadWriteLock getReadWriteLock()

    - #### getGetCount

          public long getGetCount()

    - #### getSetCount

          public long getSetCount()

    - #### isGetterCached

          public boolean isGetterCached()

    - #### setGetterCached

          public void setGetterCached(boolean getterCached)

    - #### isSetterCached

          public boolean isSetterCached()

    - #### setSetterCached

          public void setSetterCached(boolean setterCached)

    - #### getGetterMethod

          public java.lang.reflect.Method getGetterMethod()

    - #### setGetterMethod

          public void setGetterMethod(java.lang.reflect.Method getter)

    - #### getSetterMethod

          public java.lang.reflect.Method getSetterMethod()

    - #### setSetterMethod

          public void setSetterMethod(java.lang.reflect.Method setter)

    - #### compareTo

          public int compareTo(VariableData d)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<VariableData>`

    - #### setDefinition

          public void setDefinition(VariableDefinition definition)